
QGIS Application - Bug report #6153

Exporting a graduated style in SLD loses the filters

2012-08-04 08:56 AM - Andrea Aime

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:1.8.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 15477

Description

Exporting a graduated style with 5 classes for a polygon layer results in a SLD with 5 rules, but none of them having a filter, which makes

an SLD renderer end up painting all polygons of the same color.

Tested this behavior on both Ubuntu 10.04 and Windows XP with QGIS 1.8

I'm attaching both the qml for the style and the exported SLD

History

#1 - 2012-08-04 09:16 AM - Andrea Aime

Tested with trunk, it works fine there

#2 - 2012-08-05 05:12 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

Files

graduated.qml 5.4 KB 2012-08-04 Andrea Aime

graduated.sld 3.21 KB 2012-08-04 Andrea Aime
